import request from '@/utils/request'

import { user } from './user'
const { userInfo } = user

export const school = {
  schoolInfo: userInfo.sm_info,
  id: userInfo.sm_info.sm_id,
  // 年级
  grade: request({
    to: 'uc',
    url: '/school/main/base_grade',
    data: {
      sm_id: userInfo.sm_info.sm_id,
    },
  }).then(({ data }) => data),
  // 学期
  xq: request({
    url: '/khfw/xqgl/index',
  }).then(({ data }) => {
    return data.page_data
  }),
}
