// 作息策略

import request from '@/utils/request'

import { school } from './school'
// const { userInfo } = user

function handleZxclQuery() {
  return request({
    url: '/khfw/xtsz/detail',
    data: {
      ks_key: 'khfw_zxcl',
    },
  }).then(({ data }) => {
    return data.one_info.ks_value?.khfw_zxcl || []
  })
}
export let zxcl = handleZxclQuery()
export function updateZxcl(value) {
  zxcl = Promise.resolve(value)
}

function handleNjQuery() {
  return request({
    url: '/khfw/xtsz/detail',
    data: {
      ks_key: 'khfw_zxnjcl',
    },
  }).then(async ({ data }) => {
    return (
      data.one_info.ks_value?.khfw_zxnjcl ||
      Object.values(await school.grade).map(({ grade, gradename }) => ({
        grade,
        gradename,
        zxcl: undefined,
      }))
    )
  })
}

export let zxnjcl = handleNjQuery()
export function updateZxnjcl(value) {
  zxnjcl = Promise.resolve(value)
}
