export function formatDate2Day(date) {
  const { year, month, day } = formatDate2Obj(date)
  return `${year}-${month}-${day}`
}

export function formatDate2Obj(date) {
  const year = date.getFullYear().toString()
  const month = (date.getMonth() + 1).toString().padStart(2, '0')
  const day = date.getDate().toString().padStart(2, '0')
  return { year, month, day }
}
